Bug 58845 - no shortcut or toolbar button for Extension Manager
Summary: no shortcut or toolbar button for Extension Manager
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0
Keywords: needsDevEval
Depends on:
Blocks: UNO-Command-New Shortcuts-Accelerators Extension-Manager
  Show dependency treegraph
 
Reported: 2012-12-29 00:44 UTC by tommy27
Modified: 2017-09-11 08:43 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tommy27 2012-12-29 00:44:15 UTC
inherited from OOo. affects any LibO release.

the "Tools/Extension manager" menu item cannot be assigned to any keyboard shortcut or toolbar button.

if you select "Tools/Customize/Keyboard" or "Tools/Customize/Toolbars/Add" you will find that Extension Manager never appears in any of the available command lists.
Comment 1 Rob Snelders 2013-01-01 12:23:11 UTC
Thank you for reporting this bug.

I also can't find it. It would be a improvement to have.
Comment 2 tommy27 2013-01-01 14:59:58 UTC
I'd like to hear impressions from a developer...  could it be an easy hack?
Comment 3 tommy27 2013-09-11 05:01:29 UTC
"extension manager" not yet available as a custom menu item.
tested on 4.1.1.2 and 4.2.0 master Sept.10.
Comment 4 Joel Madero 2014-02-27 22:55:28 UTC
In order to limit the confusion between ProposedEasyHack and EasyHack and to make queries much easier we are changing ProposedEasyHack to NeedsDevEval.

Thank you and apologies for the noise
Comment 5 Yousuf Philips (jay) (retired) 2014-11-29 18:43:24 UTC
Checking the menu xml, Extensions Manager doesnt have an uno command and instead is "service:com.sun.star.deployment.ui.PackageManagerDialog".

@Maxim: is there a means of setting a shortcut to such an entry and having it accessible in the customization dialog?
Comment 6 Maxim Monastirsky 2014-11-29 20:20:51 UTC
(In reply to Jay Philips from comment #5)
> Checking the menu xml, Extensions Manager doesnt have an uno command and
> instead is "service:com.sun.star.deployment.ui.PackageManagerDialog".
> 
> @Maxim: is there a means of setting a shortcut to such an entry and having
> it accessible in the customization dialog?
Currently I'm not aware of any way to add this to the customization dialog. This "service:" thing is not a name of an internal command, but just a URL of a service. As a workaround it's possible to manually edit the toolbar or accelerators xml. Another option is to create a macro that executes this URL, and add a button to this macro to the toolbar.
Comment 7 tommy27 2014-11-29 21:50:52 UTC
a macro could be then converted as an extension...
and extension can be bundled with LibO

IMHO the extension manager deserves to be a standard toolbar button.
Comment 8 Maxim Monastirsky 2014-11-30 08:59:02 UTC
(In reply to Maxim Monastirsky from comment #6)
> Currently I'm not aware of any way to add this to the customization dialog.
Well, I meant in its current state. Of course we can create a new command that will internally call this service, and use that new command for the menu, instead of directly referencing the service.
Comment 9 Yousuf Philips (jay) (retired) 2014-12-01 17:55:42 UTC
(In reply to Maxim Monastirsky from comment #8)
> Well, I meant in its current state. Of course we can create a new command
> that will internally call this service, and use that new command for the
> menu, instead of directly referencing the service.

I would believe that would be the easiest solution if it is possible and simple.
Comment 10 tommy27 2015-01-25 09:44:06 UTC
may we label this as an easy hack?
Comment 11 Robinson Tryon (qubit) 2015-12-10 07:56:41 UTC Comment hidden (obsolete)
Comment 12 tommy27 2016-03-20 02:45:00 UTC
@Feyza
I've see you put yourself in the "Assigned to" field.

that means that you are going to try fixing it and provide a patch.
is that correct?
Comment 13 Feyza 2016-03-20 09:56:01 UTC
Yes, I'm working to this patch. I'm trying to add a shortcut.
Comment 14 Adolfo Jayme 2016-04-02 18:46:35 UTC
For the record, Feyza’s patch is at https://gerrit.libreoffice.org/23376
Comment 15 tommy27 2016-04-03 05:20:24 UTC
great news!!! I hope that patch will be merged soon!!!
Comment 16 Yousuf Philips (jay) (retired) 2016-04-03 16:45:23 UTC
So the patch only assigns the extension manager to Ctrl + Alt + E, and as an UNO command hasnt been created, a user wont be able to modify the shortcut in the customize dialog, similar to Ctrl + F for the find toolbar.
Comment 17 tommy27 2016-04-03 17:23:28 UTC
Ok, I see... not yet perfect but that's still better than nothing
Comment 18 Commit Notification 2016-04-26 16:17:17 UTC
Feyza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1670e45f6acbe8c5230c983c365c16b357496be1

tdf#58845 Added shorcut for Extension Manager

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Xisco Faulí 2016-09-15 22:35:49 UTC
Hello,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Comment 20 tommy27 2017-03-12 17:25:55 UTC
(In reply to Xisco Faulí from comment #19)
> Hello,
> Is this bug fixed?
> If so, could you please close it as RESOLVED FIXED?

improved but not yet fixed.
see comment 16
Comment 21 Xisco Faulí 2017-09-11 08:43:28 UTC
Dear developer,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.